      PROGRAM TESTINPUT
      IMPLICIT NONE
      
      INTEGER A(8)
      INTEGER I
  
      READ *, (A(I), I = 1, 3)
      
C      READ *, A
    
C      DO 10 I = 1, 8
C        READ *, A(I)
C 10    CONTINUE

      PRINT *, (A(I), I = 1, 3)
      
C      PRINT *, A
      
C      DO 20 I = 1, 8
C        PRINT *, A(I)
C 20    CONTINUE                
      
      STOP
      END